---
title: <feFuncB>
slug: Web/SVG/Element/feFuncB
tags:
  - Element
  - NeedsExample
  - Reference
  - SVG
  - SVG Filter
---
<div>{{SVGRef}}</div>

<p>The <strong><code>&lt;feFuncB&gt;</code></strong> <a href="/en-US/docs/Web/SVG">SVG</a> filter primitive defines the transfer function for the blue component of the input graphic of its parent {{SVGElement("feComponentTransfer")}} element.</p>

<h2 id="Usage_context">Usage context</h2>

<p>{{svginfo}}</p>

<h2 id="Attributes">Attributes</h2>

<h3 id="Global_attributes">Global attributes</h3>

<ul>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Core_attributes">Core attributes</a></li>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Transfer_function_attributes">Transfer function attributes</a></li>
</ul>

<h3 id="Specific_attributes">Specific attributes</h3>

<p><em>None</em></p>

<h2 id="DOM_Interface">DOM Interface</h2>

<p>This element implements the {{domxref("SVGFEFuncBElement")}} interface.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Filters 1.0', '#feFuncBElement', '&lt;feFuncB&gt;')}}</td>
   <td>{{Spec2('Filters 1.0')}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName('SVG1.1', 'filters.html#feFuncBElement', '&lt;feFuncB&gt;')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.feFuncB")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("filter")}}</li>
 <li>{{SVGElement("animate")}}</li>
 <li>{{SVGElement("set")}}</li>
 <li>{{SVGElement("feComponentTransfer")}}</li>
 <li>{{SVGElement("feFuncA")}}</li>
 <li>{{SVGElement("feFuncR")}}</li>
 <li>{{SVGElement("feFuncG")}}</li>
 <li><a href="/en-US/docs/Web/SVG/Tutorial/Filter_effects">SVG tutorial: Filter effects</a></li>
</ul>
